Bug 205937 - math/plplot: Make qhull optional, fix pkgconfig
Summary: math/plplot: Make qhull optional, fix pkgconfig
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Mark Felder
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-01-05 22:18 UTC by Thierry Thomas
Modified: 2016-02-13 10:14 UTC (History)
4 users (show)

See Also:
woodsb02: maintainer-feedback+
koobs: merge-quarterly?


Attachments
let's choose qhull and fix pkgconfig (3.44 KB, patch)
2016-01-05 22:18 UTC, Thierry Thomas
woodsb02: maintainer-approval+
Details | Diff
Poudriere log (14.13 KB, application/x-bzip)
2016-01-06 20:41 UTC, Thierry Thomas
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thierry Thomas freebsd_committer 2016-01-05 22:18:00 UTC
Created attachment 165126 [details]
let's choose qhull and fix pkgconfig

math/plplot depends on the legacy math/qhull5, and since this port conflicts with the new one, it is impossible to install together math/plplot and math/qhull. The proposed patch fixes that.

Since I'm there, also fix PKG_CONFIG_DIR.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-06 06:34:54 UTC
Reporter is committer, assign accordingly
Comment 2 Thierry Thomas freebsd_committer 2016-01-06 20:41:34 UTC
Created attachment 165182 [details]
Poudriere log
Comment 3 Ben Woods freebsd_committer 2016-01-23 23:42:45 UTC
Tested - all looks good to me. Ok to commit.

Thanks for your patch, and apologies for the slow response.
Comment 4 Ben Woods freebsd_committer 2016-01-23 23:44:02 UTC
Thierry - will leave it up to you to decide whether this needs to be merged to quarterly. I have no problems with merging it if it is causing issues with the quarterly builds or installs.
Comment 5 Thierry Thomas freebsd_committer 2016-01-24 14:05:33 UTC
Thanks for your approval.

This is just an improvement, and I don't plan to mfh it (if it ain't broke, don't fix it!).
Comment 6 commit-hook freebsd_committer 2016-01-24 14:06:30 UTC
A commit references this bug:

Author: thierry
Date: Sun Jan 24 14:05:33 UTC 2016
New revision: 407126
URL: https://svnweb.freebsd.org/changeset/ports/407126

Log:
  - math/plplot depends on the legacy math/qhull5, and since this port
    conflicts with the new one, it was impossible to install together
    math/plplot and math/qhull;

  - fix PKG_CONFIG_DIR.

  PR:		ports/205937
  Submitted by:	/me
  Approved by:	maintainer

Changes:
  head/math/plplot/Makefile
  head/math/plplot/pkg-plist
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-24 14:19:43 UTC
Re-open for MFH.

Over to ports-secteam
Comment 8 commit-hook freebsd_committer 2016-01-24 15:26:56 UTC
A commit references this bug:

Author: feld
Date: Sun Jan 24 15:25:54 UTC 2016
New revision: 407154
URL: https://svnweb.freebsd.org/changeset/ports/407154

Log:
  MFH: r407126

  - math/plplot depends on the legacy math/qhull5, and since this port
    conflicts with the new one, it was impossible to install together
    math/plplot and math/qhull;

  - fix PKG_CONFIG_DIR.

  PR:		ports/205937
  Submitted by:	/me
  Approved by:	maintainer

  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2016Q1/
  branches/2016Q1/math/plplot/Makefile
  branches/2016Q1/math/plplot/pkg-plist
Comment 9 Ben Woods freebsd_committer 2016-02-13 09:58:34 UTC
Can we please close this bug now that it has been committed and MFH?
Comment 10 Martin Wilke freebsd_committer 2016-02-13 10:14:38 UTC
Sure,

thanks for the reminder.